サポート » バグ報告と提案 » ページ上部にエラー表示されます…

  • はじめて投稿させていただきます、ワードプレスもプログラミングについても知識が浅く的外れな投稿になってしまっていたらすみません。

    以下のようなメッセージが表示されていて、対処がわからないので困っています。

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, function ‘wp_external_lib’ not found or invalid function name in /****/********/************.com/public_html/***********/wp-includes/class-wp-hook.php on line 298

    どこをどのように対処すればいいのかが分からないため、どなたかご教授いただければ幸いです。
    よろしくお願いいたします。

    • このトピックはkage0320が1 ヶ月、 1 週前に変更しました。
6件の返信を表示中 - 1 - 6件目 (全6件中)
  • CG

    (@du-bist-der-lenz)

    オブジェクトが指定されていないのではないですか。arrayの書き方を見直しましょう。

    こんにちは

    wp_external_libという関数が見つからないというエラーです。
    この関数はWordPress4.7.3本体には含まれないようなので、何かのプラグインかテーマの関数じゃないかと思います。

    このエラーが出る前に、プラグインかテーマの更新、インストールなど行いませんでしたでしょうか。
    それらが原因であれば、ダウンロードして手動で更新してみてはと思います。

    CG

    (@du-bist-der-lenz)

    現在のWordPressのバージョンに対応させるメンテナンスがされていないプラグインへの、バグ報告と提案ですよね。

    モデレーター Okamoto Hidetaka

    (@hideokamoto)

    いずれにせよ、問題解決のためのチェックリストを一度試していただいたほうがよろしいかと。

    Du bist der Lenzさま
    munyaguさま
    Okamoto Hidetakaさま

    ご返信ありがとうございます。

    >この関数はWordPress4.7.3本体には含まれないようなので、何かのプラグインかテーマの関数じゃないか

    >いずれにせよ、問題解決のためのチェックリストを一度試していただいたほうがよろしいかと。

    すべてのプラグインを無効化して、テーマも初期設定に戻してひとつひとつ検証していってみます。
    また、つまづくようでしたらお力を貸してくださいませ。

    お忙しいところお返事くださいましてありがとうございます。

    CG

    (@du-bist-der-lenz)

    プラグインをすべて無効化する。テーマをTwenty Seventeen にかえればエラーは消えます。
    そのあとで、現在メンテナンスされていないプラグインを削除しましょう。

6件の返信を表示中 - 1 - 6件目 (全6件中)
  • このトピックに返信するにはログインが必要です。